> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeOffPolicy

> The `getTimeOffPolicy ` API returns a single timeOffPolicy using timeOffPolicyId

### Use:
- Look up current time off policy fields before updating using the `updateTimeOffPolicy` API

### Notes:
- To find all active timeOffPolicies for a company use the `getTimeOffPolicies` API



## OpenAPI

````yaml get /reports/getTimeOffPolicy
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTimeOffPolicy:
    get:
      tags: []
      summary: getTimeOffPolicy
      description: >-
        The `getTimeOffPolicy ` API returns a single timeOffPolicy using
        timeOffPolicyId


        ### Use:

        - Look up current time off policy fields before updating using the
        `updateTimeOffPolicy` API


        ### Notes:

        - To find all active timeOffPolicies for a company use the
        `getTimeOffPolicies` API
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                timeOffPolicyId:
                  type: string
              required:
                - method
                - timeOffPolicyId
            example:
              method: getTimeOffPolicy
              timeOffPolicyId: E3DC43BB-262C-4CB1-A210-5530615A2921
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffPolicy:
                    type: object
                    properties:
                      timeOffPolicyId:
                        type: string
                      timeOffPolicyName:
                        type: string
                      lumpSumHoursEarned:
                        type: integer
                      accrualRatePerHour:
                        type: number
                      canCarryoverHours:
                        type: boolean
                      carryoverLimitHours:
                        type: integer
                      maxAccumulatedHours:
                        type: integer
                      waitingPeriodQuantity:
                        type: integer
                      isProratedByStartDate:
                        type: boolean
                      payoutOnTerminations:
                        type: boolean
                      maxPayoutHours:
                        type: integer
                      timeOffPolicyType:
                        type: string
                      earningMethod:
                        type: string
                      waitingPeriodUnit:
                        type: string
                      timeOffRecievedWhen:
                        type: string
                    required:
                      - timeOffPolicyId
                      - timeOffPolicyName
                      - lumpSumHoursEarned
                      - accrualRatePerHour
                      - canCarryoverHours
                      - carryoverLimitHours
                      - maxAccumulatedHours
                      - waitingPeriodQuantity
                      - isProratedByStartDate
                      - payoutOnTerminations
                      - maxPayoutHours
                      - timeOffPolicyType
                      - earningMethod
                      - waitingPeriodUnit
                      - timeOffRecievedWhen
                required:
                  - timeOffPolicy
              example:
                timeOffPolicy:
                  timeOffPolicyId: E3DC43BB-262C-4CB1-A210-5530615A2921
                  timeOffPolicyName: Standard Vacation
                  lumpSumHoursEarned: 80
                  accrualRatePerHour: 1.5
                  canCarryoverHours: true
                  carryoverLimitHours: 40
                  maxAccumulatedHours: 160
                  waitingPeriodQuantity: 0
                  isProratedByStartDate: true
                  payoutOnTerminations: true
                  maxPayoutHours: 40
                  timeOffPolicyType: Vacation
                  earningMethod: Lump Sum (All at once)
                  waitingPeriodUnit: Days
                  timeOffRecievedWhen: On Hire Date
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: timeOffPolicyId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````